nav {
    width: 100%;
    height: 58px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-inline: 30px;
}

.nav_element_container {
    width: 120px;
    display: flex;
}

.nav_logo_frame {
    width: 57px;
    height: 57px;
    background: var(--black-light);
    border-radius: 50%;
    display: grid;
    place-items: center;
}

.nav_logo {
    width: 37px;
}

#nav_items {
    display: flex;
    align-items: center;
    gap: 10px;
    background: var(--black);
    border-radius: 31px;
    height: 58px;
    width: fit-content;
    padding-inline: 10px;
}

.nav_item a {
    box-shadow: 0px 0px 6.7px 0px #2727271C;
    padding: 10px 15px;
    border-radius: 66px;
    border: 1px solid var(--charcoal-dark);
    color: var(--gray-dim);
    background: var(--charcoal);
}

.nav_item a.active {
    border: 1px solid var(--gray-medium);
    color: var(--white);
}

.nav_register_btn_frame {
    background: linear-gradient(123.49deg, #F5D07C 30.09%, #D6BD83 65.24%, #1A1A1A 100.39%);
    border-radius: 66px;
    padding: 1px;
    width: fit-content;
    margin-left: auto;
}

.nav_register_btn {
    height: 44px;
    width: fit-content;
    background: var(--black-medium);
    color: var(--white);
    border-radius: 66px;
    font-size: 15px;
    font-weight: 500;
    line-height: 1;
    letter-spacing: -0.6px;
    padding: 15px 18px 12px 18px;
    display: block;
}

.nav_mobile_items_container,
.nav_hamburger_btn {
    display: none;
}

@media (320px <=width <=768px) {
    nav {
        padding-inline: 10px;
    }

    .nav_hamburger_btn {
        display: grid;
        place-items: center;
        width: 67px;
        height: 57px;
        border: 1px solid var(--gunmetal-dark);
        border-radius: 28px;
        background: var(--black-very-dark);
    }

    .nav_hamburger_btn_icon {
        width: 17px;
    }

    .nav_mobile_items_container {
        width: calc(100% - 20px);
        display: flex;
        flex-direction: column;
        align-items: center;
        position: fixed;
        left: 0;
        top: 0;
        z-index: 200;
        transform: translateY(-100%);
        height: fit-content;
        opacity: 0;
        transition: transform 0.3s ease, opacity 0.3s ease;
        border-radius: 18px;
        border: 1px solid var(--gunmetal-dark);
        background: var(--black-very-dark);
        padding: 55px 15px;
        margin: 0 auto;
    }

    .nav_mobile_items_container:popover-open {
        transform: translate(0);
        top: 88px;
        opacity: 1;
    }

    .nav_mobile_items {
        display: flex;
        flex-direction: column;
        width: 100%;
    }

    .nav_mobile_item {
        font-size: 30px;
        font-weight: 500;
        line-height: 1;
        letter-spacing: -1.5px;
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 25px 0;
        border-bottom: 1px solid var(--black-rich);
    }

    .nav_mobile_items_container li:first-child {
        padding-top: 0 !important;
    }

    .nav_mobile_items_container li:last-child {
        border-bottom: none !important;
        padding-bottom: 0 !important;
    }

    .nav_mobile_item_link {
        color: var(--gray-graphite);
    }

    .nav_mobile_item_link.active {
        color: var(--white);
    }

    .nav_mobile_item_icon {
        width: 29px;
    }

    .nav_mobile_register_btn_frame {
        display: grid !important;
        margin: 121px 0 0;
    }

    #nav_items,
    .nav_register_btn_frame {
        display: none;
    }
}